%define	module	cx_PyGenLib
Summary:	Generic Python modules used by Computronix projects
Summary(pl.UTF-8):	Podstawowe moduły Pythona wykorzystywane w projektach Computroniksa
Name:		python-%{module}
Version:	2.2
Release:	4
License:	BSD
Vendor:		Anthony Tuininga <anthony@computronix.com>
Group:		Development/Libraries
Source0:	http://dl.sourceforge.net/cx-freeze/%{module}-%{version}.tar.gz
# Source0-md5:	8bccc5a5d96bbe5d79d94443c1af8a24
URL:		http://www.computronix.com/utilities.html
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project contains a number of generic Python modules that are used
by Computronix for a number of projects (cx_Freeze, cx_OracleTools,
cx_OracleDBATools, etc.) and as such they are handled independently,
rather than bundled with the distribution of the dependent project.

%description -l pl.UTF-8
Ten projekt zawiera sporo podstawowych modułów Pythona, które są
wykorzystywane przez wiele projektów Computroniksa (cx_Freeze,
cx_OracleTools, cx_OracleDBATools i in.), którymi można się posługiwać
niezależnie i dla których nie ma powodu pakowania ich łącznie z
odpowiednimi projektami.

%prep
%setup -q -n %{module}-%{version}

%build
env CFLAGS="%{rpmcflags}" %py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

# check-files shutup
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/*.py

# this modules are in standard Python 2.3 distribution
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/{modulefinder,textwrap,_strptime,optparse,tarfile}.py*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.txt HISTORY.txt
%{py_sitescriptdir}/cx_*.py?
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-cx_PyGenLib.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5623856
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1e0c885
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 6930802
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ecab7a4
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 03d667a
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 26feecf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 51b674b
- converted to UTF-8

* Sat Dec 24 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> d1ce7f5
- rel 1

* Wed May 26 2004 ankry <ankry@pld-linux.org> 4d90cab
- capitalization, tabs, other cosmetics

* Fri Aug 29 2003 ankry <ankry@pld-linux.org> c8f7263
- pl

* Tue Aug 26 2003 Artur Frysiak <artur@frysiak.net> 3ec6b9b
- first release

